> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/groups

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/groups
```

## Supported methods and overview&#x20;

* `POST` - used to add a new [group](/2.16/admin/managing-groups.md).
* `GET` - used to retrieve a list of field information for all existing groups on the Covata Platform.

## Detailed description&#x20;

This API endpoint serves a number of purposes:

* Adds a new group to the Covata Platform. \

  **Notes:**

  * To add one or more [Covata users](/2.16/admin/administering-users.md) to this group, see [\<access-service>/api/v1/groups/\{groupId}](/2.16/api/access-service-api-v1-groups-groupid.md). Also see [\<access-service>/api/v1/labels](/2.16/api/access-service-api-v1-labels.md) for more information about adding new labels.
  * To associate this group with one or more [labels](/2.16/api/access-service-api-v1-labels.md), which would then allow these labels to restrict file sharing to any Covata users who are members of this group, see [\<access-service>/api/v1/groups/\{groupId}](/2.16/api/access-service-api-v1-groups-groupid.md).
* Retrieves a list of field information for all existing groups on the Covata Platform.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/2.16/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/2.16/admin.md)):

* [System administrator](/2.16/admin/administering-users.md#system-administrator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/2.16/api/access-service-api-v1-groups.md#access-service-api-v1-groups-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

The following header is required if the body of the request has a JSON object:

* `Content-Type: application/json`

## Required parameters on POST&#x20;

The following required parameter must be sent in the body of the POST request, as an individual member of a JSON object:

* **name** - .

  **Example ():**

## Optional parameters on POST&#x20;

The following optional parameter can also be sent in the body of the POST request, as an individual member of the JSON object that includes the [Required parameters on POST](/2.16/api/access-service-api-v1-groups.md#access-service-api-v1-groups-required-parameters) above:

* **description** - .

  **Example ():**

## Optional parameters on GET&#x20;

The following optional parameters can be sent in the URL of the GET request:

* **limit** - 0 to 100 (default is 0).
* **offset** - default is 0.
* **orderBy** - `ASC` or `DESC` (default is `ASC`).
* **sortBy** - .

  **Example ():**

## Returns from a POST request&#x20;

A JSON-formatted response containing the following members:

* **id** - .
* **name** - .
* **description** - .

  **Example (response from ...):**

## Returns from a GET request&#x20;

A JSON-formatted response containing the following members:

* **items** - .

  * **id** - .
  * **name** - .
  * **labelCount** - .
  * **memberCount** - .
* **count** - .
* **offset** - .

  **Example (response from ...):**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.